header {
  width: 100%;
  height: 35px;
  background-color: var(--colors-first-background);
  position: relative;

  button {
    height: 100%;
    margin: 0 5px;
  }
}

ngx-codemirror {
  display: block;
  width: 100%;
  height: calc(100% - 55px);
  position: relative;
}

footer {
  width: 100%;
  height: 20px;
  background-color: var(--colors-first-background);

  p {
    height: 100%;
    line-height: 20px;
    text-align: center;
    margin: 0 5px;
    width: max-content;
    display: inline-block;
  }
}

.change-mode .dialog-main {
  display: flex;
  justify-content: space-between;
  align-items: center;

  mat-form-field {
    width: 80%;
    margin: 5%;
  }

  a {
    margin: 5%;
  }
}

.save-changes {
  span {
    position: absolute;
    width: 100%;
    top: 10%;
    font-size: 20px;
    text-align: center;
  }

  .buttons {
    margin-top: 30%;
  }
}
